/* -*- ObjC -*- */
#ifndef __included_widget_packingbox_h
#define __included_widget_packingbox_h

#include "gui/gui.h"

#define CHILDREN_PER_PACKING_BOX	12 /* XXX */

@interface PackingBox: Widget <Container>
{
    int child_spacing;
    Widget *child[CHILDREN_PER_PACKING_BOX+1];
}
+ (id) new;
- (void) dealloc;
- (id) setChildSpacing:(int)cs;
- (void) insertWidget:(Widget *)widget;
- (void) calculateChildrenDimensions;
- (int) numChildren;
@end

@interface HPackingBox: PackingBox
@end

@interface VPackingBox: PackingBox
@end

#endif
